Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource
Interface MailMessagingSpecifier

All Superinterfaces:
  Cloneable, MessagingSpecifier, MetaDataObject, ResourceServiceSpecifier, ResourceSpecifier, Serializable, XMLizable

    public interface MailMessagingSpecifier

extends MessagingSpecifier

To change this generated comment edit the template variable "typecomment": Window>Preferences>Java>Templates. To enable and disable the creation of type comments go to Window>Preferences>Java>Code Generation.

Method Summary
`int` | `getHostImapPort()` Returns the hostImapPort.
`int` | `getHostSmtpPort()` Returns the hostSmtpPort.
`int` | `getTargetImapPort()` Returns the targetImapPort.
`int` | `getTargetSmtpPort()` Returns the targetSmtpPort.
`void` | `setHostImapPort(int hostImapPort)` Sets the hostImapPort.
`void` | `setHostSmtpPort(int hostSmtpPort)` Sets the hostSmtpPort.
`void` | `setTargetImapPort(int targetImapPort)` Sets the targetImapPort.
`void` | `setTargetSmtpPort(int targetSmtpPort)` Sets the targetSmtpPort.

Methods inherited from interface org.apache.uima.resource.MessagingSpecifier
`getHostAddress, getHostMessagingServer, getHostPassword, getHostUser, getMessagingType, getTargetAddress, getTargetMessagingServer, getTargetPassword, getTargetUser, getTimeout, setHostAddress, setHostMessagingServer, setHostPassword, setHostUser, setMessagingType, setTargetAddress, setTargetMessagingServer, setTargetPassword, setTargetUser, setTimeout`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Method Detail

### getHostImapPort

    int getHostImapPort()

  Returns the hostImapPort.

  Returns:
    int

### getHostSmtpPort

    int getHostSmtpPort()

  Returns the hostSmtpPort.

  Returns:
    int

### getTargetImapPort

    int getTargetImapPort()

  Returns the targetImapPort.

  Returns:
    int

### getTargetSmtpPort

    int getTargetSmtpPort()

  Returns the targetSmtpPort.

  Returns:
    int

### setHostImapPort

    void setHostImapPort(int hostImapPort)

  Sets the hostImapPort.

  Parameters:
    `hostImapPort` - The hostImapPort to set

### setHostSmtpPort

    void setHostSmtpPort(int hostSmtpPort)

  Sets the hostSmtpPort.

  Parameters:
    `hostSmtpPort` - The hostSmtpPort to set

### setTargetImapPort

    void setTargetImapPort(int targetImapPort)

  Sets the targetImapPort.

  Parameters:
    `targetImapPort` - The targetImapPort to set

### setTargetSmtpPort

    void setTargetSmtpPort(int targetSmtpPort)

  Sets the targetSmtpPort.

  Parameters:
    `targetSmtpPort` - The targetSmtpPort to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.